EDIT - bug #7579

Set up pipelines in Jenkins to replace the build pipelines
07/24/2018 02:49 PM - Andreas Kohlbecker

Status: New Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 0%
Category: devOps Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal Found in Version:

Description

Our jenkins setup are using the build-pipeline-plugin.

Since Jenkins 2 there is a much better tool to setup pipelines, Jenkins Pipeline
see the following resources for information on how to use it:

e hitps://jaxenter.de/pipeline-jenkins-2-61568

e htips://jenkins.io/doc/book/pipeline/ (see also the links in the paragraph: "Die ,Top 10 Best Practices for Jenkins Pipeline
Plugin,,, die ,Best Practices for Scalable Pipeline Code” und ,The Need For Speed: Building Pipelines To Be Faster,,. Hier finden
sich allgemeine Best Practices sowie wichtige Hinweise zur Entwicklung performanter, ")

e https://github.com/jenkinsci/pipeline-plugin/blob/master/TUTORIAL.md

Jenkinsfile should be used:
Creating a Jenkinsfile and committing it to source control provides a number of immediate benefits:

Automatically creates a Pipeline build process for all branches and pull requests.

Code review/iteration on the Pipeline (along with the remaining source code).

Audit trail for the Pipeline.

Single source of truth [3] for the Pipeline, which can be viewed and edited by multiple members of the project.

Related issues:

Related to EDIT - bug #10007: fix reindex jobs on jobber Closed 04/06/2022 04/08/2022
Related to EDIT - task #9513: "table to div regression": replace scriptler + ... Closed

History

#1 - 07/24/2018 02:50 PM - Andreas Kohlbecker

- Description updated

#2 - 07/24/2018 02:51 PM - Andreas Kohlbecker

- Description updated

#3 - 01/29/2021 09:35 AM - Andreas Kohlbecker

- Description updated

- Category changed from server-maintenance to devOps
- Priority changed from New to Priority14

- Target version changed from Unassigned CDM tickets to Release 5.21

Due to the repeated problems during the last relases it has become more important to switch to the "Jenkins Pipelines"

#4 - 01/29/2021 10:07 AM - Andreas Kohlbecker

- Subject changed from Set up pipelines in Jenkins to relace the build pipelines to Set up pipelines in Jenkins to replace the build pipelines

#5 - 03/05/2021 10:43 AM - Andreas Kohlbecker

- Tags set to jenkins
- Target version changed from Release 5.21 to Release 5.22

#6 - 04/19/2021 04:33 PM - Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.45

#7 - 03/04/2022 05:49 PM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.46

#8 - 03/04/2022 05:49 PM - Andreas Miiller

- Assignee changed from Andreas Kohlbecker to Andreas Miller

#9 - 05/19/2022 09:12 PM - Andreas Miiller
- Related to bug #10007: fix reindex jobs on jobber added

#10 - 05/19/2022 09:13 PM - Andreas Miiller

- Related to task #9513: "table to div regression": replace scriptler + dynamic parameter plugins added
